# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "boltz-ui"
version = "0.2.14"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-level reusable GPUI UI components (Label, Button, Input, etc.)."
readme = false
license = "GPL-3.0-or-later"
repository = "https://github.com/boltz-one/rust-dex"
resolver = "2"

[features]
default = []

[lib]
name = "ui"
path = "src/ui.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.component]
version = "0.1.0"
package = "boltz-component"

[dependencies.documented]
version = "0.9.1"

[dependencies.gpui]
version = "0.2.5"
default-features = false
package = "boltz-gpui"

[dependencies.gpui_macros]
version = "0.1.1"
package = "boltz-gpui-macros"

[dependencies.gpui_util]
version = "0.1.0"
package = "boltz-gpui-util"

[dependencies.icons]
version = "0.2.0"
package = "boltz-icons"

[dependencies.itertools]
version = "0.14.0"

[dependencies.language]
version = "0.1.0"
features = [
    "lang-javascript",
    "lang-typescript",
    "lang-markdown",
    "lang-json",
]
package = "boltz-language"

[dependencies.markdown]
version = "0.1.0"
package = "boltz-markdown"

[dependencies.menu]
version = "0.1.0"
package = "boltz-menu"

[dependencies.schemars]
version = "1.0"
features = ["indexmap2"]

[dependencies.serde]
version = "1.0.221"
features = [
    "derive",
    "rc",
]

[dependencies.smallvec]
version = "1.6"
features = [
    "union",
    "const_new",
]

[dependencies.strum]
version = "0.27.2"
features = ["derive"]

[dependencies.syntax_theme]
version = "0.1.0"
package = "boltz-syntax-theme"

[dependencies.terminal]
version = "0.2.1"
package = "boltz-terminal"

[dependencies.theme]
version = "0.1.0"
package = "boltz-theme"

[dependencies.ui_macros]
version = "0.1.0"
package = "boltz-ui-macros"

[dev-dependencies.gpui]
version = "0.2.5"
features = ["test-support"]
default-features = false
package = "boltz-gpui"

[target."cfg(windows)".dependencies.windows]
version = "0.61"
features = [
    "Foundation_Numerics",
    "Globalization_DateTimeFormatting",
    "Storage_Search",
    "Storage_Streams",
    "System_Threading",
    "UI_ViewManagement",
    "Wdk_System_SystemServices",
    "Win32_Foundation",
    "Win32_Globalization",
    "Win32_Graphics_Direct3D",
    "Win32_Graphics_Direct3D11",
    "Win32_Graphics_Direct3D_Fxc",
    "Win32_Graphics_DirectComposition",
    "Win32_Graphics_DirectWrite",
    "Win32_Graphics_DirectManipulation",
    "Win32_Graphics_Dwm",
    "Win32_Graphics_Dxgi",
    "Win32_Graphics_Dxgi_Common",
    "Win32_Graphics_Gdi",
    "Win32_Graphics_Imaging",
    "Win32_Graphics_Hlsl",
    "Win32_Networking_WinSock",
    "Win32_Security",
    "Win32_Security_Credentials",
    "Win32_Security_Cryptography",
    "Win32_Storage_FileSystem",
    "Win32_System_Com",
    "Win32_System_Com_StructuredStorage",
    "Win32_System_Console",
    "Win32_System_Diagnostics_Debug",
    "Win32_System_DataExchange",
    "Win32_System_IO",
    "Win32_System_LibraryLoader",
    "Win32_System_Memory",
    "Win32_System_Ole",
    "Win32_System_Performance",
    "Win32_System_Pipes",
    "Win32_System_RestartManager",
    "Win32_System_SystemInformation",
    "Win32_System_SystemServices",
    "Win32_System_Threading",
    "Win32_System_Variant",
    "Win32_System_WinRT",
    "Win32_UI_Controls",
    "Win32_UI_HiDpi",
    "Win32_UI_Input_Ime",
    "Win32_UI_Input_KeyboardAndMouse",
    "Win32_UI_Input_Pointer",
    "Win32_UI_Shell",
    "Win32_UI_Shell_Common",
    "Win32_UI_Shell_PropertiesSystem",
    "Win32_UI_WindowsAndMessaging",
    "Win32_Media",
]

[lints.clippy]
dbg_macro = "deny"
declare_interior_mutable_const = "deny"
disallowed_methods = "deny"
large_enum_variant = "allow"
let_underscore_future = "allow"
nonminimal_bool = "allow"
redundant_clone = "deny"
single_range_in_vec_init = "allow"
todo = "deny"
too_many_arguments = "allow"
type_complexity = "allow"

[lints.clippy.style]
level = "allow"
priority = -1

[lints.rust.unexpected_cfgs]
level = "allow"
priority = 0
